/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2003 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: jorm-team@objectweb.org
 *
 */

package org.objectweb.jorm.mapper.fos.metainfo;

import org.objectweb.jorm.metainfo.api.ClassMapping;
import org.objectweb.jorm.metainfo.api.MappingPrinter;
import org.objectweb.jorm.metainfo.api.MappingStructure;
import org.objectweb.jorm.metainfo.api.PrimitiveElementMapping;
import org.objectweb.jorm.metainfo.api.GenClassMapping;
import org.objectweb.jorm.metainfo.api.GenClassRef;

import java.io.PrintStream;

/**
 * @author P. Dechamboux
 */
public class FosMappingPrinter extends MappingPrinter {
	public void print(String p, ClassMapping _cm, PrintStream out) {
		out.println("FOS directory name: '" + ((FosMappingInfos) _cm).getDirName() + "'");
		super.print(p, _cm, out);
	}

	public void print(String p, GenClassMapping _gcm, PrintStream out) {
		out.println("FosGenClassMapping: '" + ((GenClassRef) _gcm.getLinkedMO()).getGenClassId() + "'");
		out.println("FOS directory name: '" + ((FosMappingInfos) _gcm).getDirName() + "'");
		super.print(p, _gcm, out);
	}

	public void print(String p, PrimitiveElementMapping pem, PrintStream out) {
	}

	public boolean canPrint(MappingStructure ms) {
		return true;
	}
}
