/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2003 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: jorm-team@objectweb.org
 *
 */

package org.objectweb.jorm.mapper.mem.generator;

import org.apache.velocity.context.Context;
import org.objectweb.jorm.generator.api.MOP;
import org.objectweb.jorm.generator.lib.CommonGenerator;
import org.objectweb.jorm.generator.lib.CommonHelper;
import org.objectweb.jorm.api.PException;

/**
 * This class implements the BindingMOP interface in order to specialize the
 * generation of the PClassMapping for the memory mapping.
 * @author  P. Dechamboux
 */
public class MemMappingMOP extends CommonHelper implements MOP {
	// IMPLEMENTATION OF METHODS FROM THE MOP INTERFACE

	public void initContext(Context ctx) throws PException {
		ctx.put("memTools", this);
	}

	public String[] getTemplateLibraries() {
		String[] libs = {CommonGenerator.MAPPER_TEMPLATE_DIR + "mem/generator/MemMapping.vm"};
		return libs;
	}
}
