/**
 * Copyright (C) 2003 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.jorm.mapper.rdb.lib;

import org.objectweb.jorm.api.PMapper;
import org.objectweb.jorm.mapper.rdb.adapter.RdbAdapter;

/**
 * This interface is the speciailisation of the PMapper generic interface,
 * for the relational databases (rdb mapper). It permits to access to the
 * RdbAdapter instance associated to the rdb mapper.
 *
 * @author S.Chassande-Barrioz
 */
public interface PMapperRdb extends PMapper {

	/**
	 * @return the RdbAdapter instance associated to this mapper.
	 */
	RdbAdapter getRdbAdapter();
}
