/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2003 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: jorm-team@objectweb.org
 *
 */
package org.objectweb.jorm.runtime.colocated;

import org.objectweb.jorm.pobject.colocated.GenClassRef_CN_CAccessor;
import org.objectweb.jorm.pobject.colocated.GenClassRef_SN_CAccessor;
import org.objectweb.jorm.naming.api.PName;
import org.objectweb.jorm.api.PException;
import org.objectweb.jorm.api.PAccessor;
import junit.framework.Assert;

/**
 *
 * @author S.Chassande-Barrioz
 */
public class GenClassRef_C
        implements PAccessor, GenClassRef_SN_CAccessor, GenClassRef_CN_CAccessor {

    public PName c;

    public GenClassRef_C() {
        c = null;
    }

    public GenClassRef_C(PName c) {
        this.c = c;
    }

    public void paSetC(PName pName, Object o) throws PException {
        c = pName;
    }

    public PName paGetC(Object o) throws PException {
        return c;
    }

    public Object getMemoryInstance() {
        return this;
    }

    public String toString() {
        return "GenClassRef_C(" + c + ")";
    }

    /**
     * obj != null
     *  && (obj instanceof ClassRef_MT)
     *  && (cr = ((ClassRef_MT) obj)) != null
     *  && (c == null ? cr.c == null : c.equals(cr.c));
     */
    public boolean equals(Object obj) {
        Assert.assertNotNull("Null value", obj);
        Assert.assertEquals("Bad class", GenClassRef_C.class, obj.getClass());
        GenClassRef_C gcr = (GenClassRef_C) obj;
        Assert.assertEquals("Bad c value", c, gcr.c);
        return true;
    }

}
