/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2003 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: jorm-team@objectweb.org
 *
 */

package org.objectweb.jorm.runtime.gcindex;

import org.objectweb.jorm.api.PAccessor;
import org.objectweb.jorm.api.PException;
import org.objectweb.jorm.naming.api.PName;
import org.objectweb.jorm.pobject.gcindex.ByteIndexColAccessor;
import org.objectweb.jorm.pobject.gcindex.DateIndexColAccessor;
import org.objectweb.jorm.pobject.gcindex.OlongIndexColAccessor;
import org.objectweb.jorm.pobject.gcindex.OintIndexColAccessor;
import org.objectweb.jorm.pobject.gcindex.OshortIndexColAccessor;
import org.objectweb.jorm.pobject.gcindex.OcharIndexColAccessor;
import org.objectweb.jorm.pobject.gcindex.ObyteIndexColAccessor;
import org.objectweb.jorm.pobject.gcindex.LongIndexColAccessor;
import org.objectweb.jorm.pobject.gcindex.IntIndexColAccessor;
import org.objectweb.jorm.pobject.gcindex.ShortIndexColAccessor;
import org.objectweb.jorm.pobject.gcindex.CharIndexColAccessor;
import org.objectweb.jorm.pobject.gcindex.StringIndexColAccessor;
import junit.framework.Assert;

/**
 * @author  P. Dechamboux
 */
public class GcRefAccessor implements
        ByteIndexColAccessor,
        CharIndexColAccessor,
        ShortIndexColAccessor,
        IntIndexColAccessor,
        LongIndexColAccessor,
        ObyteIndexColAccessor,
        OcharIndexColAccessor,
        OshortIndexColAccessor,
        OintIndexColAccessor,
        OlongIndexColAccessor,
        DateIndexColAccessor,
        StringIndexColAccessor,
        PAccessor {
    private PName gcRef;

    public GcRefAccessor(PName gcRef) {
        this.gcRef = gcRef;
    }

    public boolean equals(Object obj) {
        Assert.assertTrue("Wrong object class: should be a GcRefAccessor", obj instanceof GcRefAccessor);
        Assert.assertEquals("Wrong refernce", gcRef, ((GcRefAccessor) obj).gcRef);
        return true;
    }

    public Object getMemoryInstance() {
        return this;
    }

    //Accessors to the mygc field
    public void paSetMygc(PName val, Object connection) throws PException {
        gcRef = val;
    }

    public PName paGetMygc(Object connection) throws PException {
        return gcRef;
    }
}
