/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2003 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: jorm-team@objectweb.org
 *
 */

package org.objectweb.jorm.runtime.multitable;

import org.objectweb.jorm.pobject.multitable.Primitive_CN_MTAccessor;
import org.objectweb.jorm.pobject.multitable.Primitive_SN_MTAccessor;
import org.objectweb.jorm.api.PException;

/**
 * @author S.Chassande-Barrioz
 */

public class Primitive_MT
    implements
    Primitive_SN_MTAccessor,
    Primitive_CN_MTAccessor {

    public long f1 = 0;
    public long f2 = 0;
    public long f3 = 0;
    public long f4 = 0;
    public long f5 = 0;
    public long f6 = 0;
    public long f7 = 0;
    public long f8 = 0;

    public Primitive_MT() {
    }

    public void setFx(long f1, long f2, long f3, long f4, long f5, long f6,
        long f7, long f8) {
        this.f1 = f1;
        this.f2 = f2;
        this.f3 = f3;
        this.f4 = f4;
        this.f5 = f5;
        this.f6 = f6;
        this.f7 = f7;
        this.f8 = f8;
    }

    public boolean equals(Object obj) {
        Primitive_MT p = null;
        return (obj instanceof Primitive_MT)
            && (p = ((Primitive_MT) obj)) != null
            && p.f1 == f1
            && p.f2 == f2
            && p.f3 == f3
            && p.f4 == f4
            && p.f5 == f5
            && p.f6 == f6
            && p.f7 == f7
            && p.f8 == f8;
    }

    public String toString() {
        return "Primitive_MT(" + f1 + ", " + f2 + ", " + f3 + ", " + f4
            + ", " + f5 + ", " + f6 + ", " + f7 + ", " + f8 + ")";
    }

    //Accessors to the f5 field
    public void paSetF5(long val) throws PException {
        f5 = val;
    }

    public long paGetF5() throws PException {
        return f5;
    }

    //Accessors to the f4 field
    public void paSetF4(long val) throws PException {
        f4 = val;
    }

    public long paGetF4() throws PException {
        return f4;
    }

    //Accessors to the f3 field
    public void paSetF3(long val) throws PException {
        f3 = val;
    }

    public long paGetF3() throws PException {
        return f3;
    }

    //Accessors to the f2 field
    public void paSetF2(long val) throws PException {
        f2 = val;
    }

    public long paGetF2() throws PException {
        return f2;
    }

    //Accessors to the f1 field
    public void paSetF1(long val) throws PException {
        f1 = val;
    }

    public long paGetF1() throws PException {
        return f1;
    }

    //Accessors to the f8 field
    public void paSetF8(long val) throws PException {
        f8 = val;
    }

    public long paGetF8() throws PException {
        return f8;
    }

    //Accessors to the f7 field
    public void paSetF7(long val) throws PException {
        f7 = val;
    }

    public long paGetF7() throws PException {
        return f7;
    }

    //Accessors to the f6 field
    public void paSetF6(long val) throws PException {
        f6 = val;
    }

    public long paGetF6() throws PException {
        return f6;
    }

    public Object getMemoryInstance() {
        return this;
    }
}
