/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2003 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: jorm-team@objectweb.org
 *
 */

package org.objectweb.jorm.runtime.multitable;

import org.objectweb.jorm.pobject.multitable.PolyIdReferencedClass_CN_MTAccessor;
import org.objectweb.jorm.pobject.multitable.StringReferencedClass_SN_MTAccessor;
import org.objectweb.jorm.api.PException;

/**
 * @author S.Chassande-Barrioz
 */
public class ReferencedClass_MT
    implements
    PolyIdReferencedClass_CN_MTAccessor,
    StringReferencedClass_SN_MTAccessor {

    int f1 = 0;
    //Accessors to the f1 field
    public void paSetF1(int val) throws PException {
        f1 = val;
    }

    public int paGetF1() throws PException {
        return f1;
    }

    public Object getMemoryInstance() {
        return this;
    }

    public String toString() {
        return "ReferencedClass_MT(" + f1 + ")";
    }

    public boolean equals(Object obj) {
        return (obj instanceof ReferencedClass_MT)
            && ((ReferencedClass_MT) obj).f1 == f1;
    }
}
